globus_callout_constants(3)

NAME
globus_callout_constants - Callout Constants

 - Constants.

SYNOPSIS

  Enumerations

enum globus_callout_error_t { GLOBUS_CALLOUT_ERROR_SUCCESS = 0, GLOBUS_CALLOUT_ERROR_WITH_HASHTABLE = 1, GLOBUS_CALLOUT_ERROR_OPENING_CONF_FILE = 2, GLOBUS_CALLOUT_ERROR_PARSING_CONF_FILE = 3, GLOBUS_CALLOUT_ERROR_WITH_DL = 4, GLOBUS_CALLOUT_ERROR_OUT_OF_MEMORY = 5, GLOBUS_CALLOUT_ERROR_TYPE_NOT_REGISTERED = 6, GLOBUS_CALLOUT_ERROR_CALLOUT_ERROR = 7, GLOBUS_CALLOUT_ERROR_LAST = 8 }

Detailed Description

Constants.

Enumeration Type Documentation

  enum globus_callout_error_t
Globus Callout Error codes

Enumerator

GLOBUS_CALLOUT_ERROR_SUCCESS
    Success - never used

GLOBUS_CALLOUT_ERROR_WITH_HASHTABLE
    Hash table operation failed

GLOBUS_CALLOUT_ERROR_OPENING_CONF_FILE
    Failed to open configuration file

GLOBUS_CALLOUT_ERROR_PARSING_CONF_FILE
    Failed to parse configuration file

GLOBUS_CALLOUT_ERROR_WITH_DL
    Dynamic library operation failed

GLOBUS_CALLOUT_ERROR_OUT_OF_MEMORY
    Out of memory

GLOBUS_CALLOUT_ERROR_TYPE_NOT_REGISTERED
    The abstract type could not be found

GLOBUS_CALLOUT_ERROR_CALLOUT_ERROR
    The callout itself returned a error

GLOBUS_CALLOUT_ERROR_LAST
    Last marker - never used

Author

Generated automatically by Doxygen for globus_callout from the source code.